using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HumanLikeBattleRobots.Logic;
using HumanLikeBattleRobots.Data;

namespace HumanLikeBattleRobots.Graphic
{
    class ExplosionSprite: Sprite
    {
        private int frame = 0;

        public int Frame { set { frame = value; } }

        public ExplosionSprite(int stage)
            : base(stage)
        {
            relativeCenterPosition = new Vec2f(81, 75);
            drawTexture = GraphicResources.ExplosionTexture;
        }

        public override void Draw()
        {
            drawTexture.DrawRotAxisFrame(this.DrawPosition - this.AxisPosition, this.angle, 1,
                this.DrawPosition, (ushort)frame);
        }
    }
}
